Last Comment Bug 17533 - [RFE] allow stylesheet creation/manipulation : CSS in Composer step 3
: [RFE] allow stylesheet creation/manipulation : CSS in Composer step 3
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Composer (show other bugs)
: Trunk
: All All
: P3 enhancement (vote)
: mozilla1.0.1
Assigned To: Daniel Glazman (:glazou)
: Madhur Bhatia
Mentors:
http://www.mozilla.org/editor/adding-...
: 34837 (view as bug list)
Depends on: 34849
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-29 02:04 PDT by Matthew Tuck [:CodeMachine]
Modified: 2004-11-22 17:25 PST (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
work-in-progress screenshot 1 (176.72 KB, image/gif)
2002-04-10 05:10 PDT, Daniel Glazman (:glazou)
no flags Details
work-in-progress code #1 (65.49 KB, patch)
2002-04-16 08:21 PDT, Daniel Glazman (:glazou)
no flags Details | Diff | Splinter Review
work-in-progress screenshot 2 (170.85 KB, image/gif)
2002-04-18 08:09 PDT, Daniel Glazman (:glazou)
no flags Details

Description Matthew Tuck [:CodeMachine] 1999-10-29 02:04:13 PDT
This is a request for a "simple CSS editor".  It wouldn't expose the language,
but rather would generate a stylesheet.

The base of this should be the settings in the NN4 Appearance Tab.  The ability
to ignore BLINKs would be nice too.  =)

The CSS editor could be used to edit or create a new user style sheet, or edit a
CSS file similarly to the editor.

Of course, it's difficult to take an arbitrary CSS stylesheet and convert it
into these prefs, so it might be save-only for files, and you'd need to keep
user stylesheets in both forms.
Comment 1 Matthew Tuck [:CodeMachine] 1999-10-29 02:13:59 PDT
Bug #17534 is about a full CSS editor.

Not sure whether this bug is a Browser or Editor thing, BTW.
Comment 2 leger 1999-11-07 18:41:59 PST
Putting on correct component and setting QA contact.

matty@box.net.au - instead of using the Browser-General component so often,
please check out:
http://bugzilla.mozilla.org/describecomponents.cgi?product=Browser
when writing a bug and try to get on the correct radar on initial submit.
This could speed up things a bit for ya.  :-)
Comment 3 Pierre Saslawsky 1999-11-08 18:33:59 PST
Funny... It seems to me that Bug 17534 is a simple css editor (just some syntax
checking and highlighting) while this bug is in fact a request for a full-fledged
css editor (GUI only, no exposure of the code). I agree with you: "it would be
nice if..." but I'm not sure we want to commit to that business even more.
Closing as Later.
Comment 4 Matthew Tuck [:CodeMachine] 1999-11-08 20:05:59 PST
Consider this request as just a bunch of controls, like you have with the NN4
appearance page (eg default page colours).  There might be a few checkboxes like
"don't allow blink".

I don't know how you could do CSS without exposing the code, but however you do,
this isn't a request for it.
Comment 5 Pierre Saslawsky 1999-11-08 21:24:59 PST
The current plan is to let users add "!important" rules in ua.css (like minimum
font sizes for visually impaired people, specific color sets for color-blinds
or... no blink for epileptics). The problem is to figure out what other settings
could be of interest for enough people to justify a GUI.
Comment 6 Christine Hoffman 1999-11-09 10:36:59 PST
Verified LATER
Comment 7 Pierre Saslawsky 2001-09-27 13:34:45 PDT
reopening my LATER'd bugs
Comment 8 Pierre Saslawsky 2001-09-27 13:35:15 PDT
really reopening...
Comment 9 Pierre Saslawsky 2001-09-27 13:36:00 PDT
Reassigned to Daniel (fyi only)
Comment 10 Daniel Glazman (:glazou) 2001-10-17 05:34:37 PDT
This is a RFE for the 3rd step in the CSSization of Composer [1].
Its purpose is creation and manipulation of stylesheets in Composer.
This is not too hard to do but implies a lot (really a lot) of UI design and
work.

[1] http://www.mozilla.org/editor/adding-css-to-editor.html

Accepting Bug :-) (does not mean I'm going to work on it right now tho)

See also bug 77705 (step 2) and bug 16255 (step 4).
Comment 11 Pierre Saslawsky 2001-10-17 14:29:13 PDT
We don't need anything fancy until we implement bug 6782 "UI for alternate and 
user stylesheets".
Comment 12 Daniel Glazman (:glazou) 2001-10-23 05:51:10 PDT
*** Bug 34837 has been marked as a duplicate of this bug. ***
Comment 13 Daniel Glazman (:glazou) 2001-12-20 01:19:09 PST
milstone bulk change
Comment 14 Daniel Glazman (:glazou) 2002-04-10 05:10:58 PDT
Created attachment 78540 [details]
work-in-progress screenshot 1


Here is a first screenshot of my Stylesheet management dialog. I am working on
it
on my personal time, so no ETA. Everything there is subject to changes and even

complete rewriting, so don't focus on string or design choices.
Comment 15 Daniel Glazman (:glazou) 2002-04-16 08:21:27 PDT
Created attachment 79435 [details] [diff] [review]
work-in-progress code #1
Comment 16 Christine Hoffman 2002-04-17 19:07:35 PDT
Changing QA contact
Comment 17 Daniel Glazman (:glazou) 2002-04-18 08:09:13 PDT
Created attachment 79809 [details]
work-in-progress screenshot 2
Comment 18 Daniel Glazman (:glazou) 2002-04-25 07:24:48 PDT
Related products of interest :

   Westciv's StyleMaster     http://www.westciv.com/style_master/index.html
   Westciv's LayoutMaster    http://www.westciv.com/layout_master/index.html
Comment 19 Daniel Glazman (:glazou) 2002-04-25 07:25:42 PDT
CaScadeS project requested on Mozdev ; XPI will be available from there
as soon as I get the account.
Comment 20 Daniel Glazman (:glazou) 2002-04-25 08:08:28 PDT
Added an expert mode toggle in the dialog :

  - in expert mode, all creation buttons (sheet, rule, @media, ...) are enabled
    depending on the selection in the sheets/rules tree. The user cannot create
    a rule w/o having a sheet first. All kind of selectors are available

  - in "not expert" mode, only the rule button is enabled. Creating a rule inserts
    it in the last embedded sheet in the document, and even creates a sheet if
    needed. User cannot create media-based stylesheet nor other complex css stuff.
    CSS rule creation offers to create "named styled rules" (class attribute)
    or "element-based rules" (type element selector)
Comment 21 Daniel Glazman (:glazou) 2002-05-06 08:00:04 PDT
all work visible at http://cascades.mozdev.org/ starting from now
Comment 22 Daniel Glazman (:glazou) 2002-09-11 06:14:59 PDT
fixed by CaScadeS landing in mozilla/extensions/editor/cascades (was bug 161663)

Note You need to log in before you can comment on or make changes to this bug.